From: Carl N. Baldwin <cnb@Cone.local>
Date: Sat, 22 Oct 2005 17:30:25 +0000 (-0600)
Subject: Add option to find-cmd.sh
X-Git-Tag: release-0.4~80
X-Git-Url: http://git.pippins.net/%27%20%20%20%20.%20%24GLOBALS%5B%27phpgw%27%5D-%3Elink%28%27inc/jquery/static/%7Blink_visit%7D?a=commitdiff_plain;h=50950f2c27f7688c93ff6c87978515b0a6b27c7f;p=backups%2F.git

Add option to find-cmd.sh
---

diff --git a/scripts/find-cmd.sh b/scripts/find-cmd.sh
index 964dd15..51a3749 100755
--- a/scripts/find-cmd.sh
+++ b/scripts/find-cmd.sh
@@ -1,7 +1,9 @@
 #!/bin/sh
 
+[ $# == 1 ] || exit 1
+
 {
   for type in d f l; do
-    find . -type $type -printf "$type %#m %u %g %s %CY%Cm%Cd%CH%CM%CS 0 %p\0"
+    find $1 -type $type -printf "$type %#m %u %g %s %CY%Cm%Cd%CH%CM%CS 0 %p\0"
   done
 }